local function doFadeWipe(state)
    fadeWipe = celeste.FadeWipe(engine.Scene, state, nil) -- (state = "false" escurece ,"true" clareia)
    engine.Scene:Add(fadeWipe)
    fadeWipe.duration = 2
    fadeWipe.EndTimer = 3
  end


function onBegin()
  if getFlag("deepwell_fadein") then
    doFadeWipe(true)
    wait(1.2)
    enableMovement()
    enablePause()
    setFlag("deepwell_fadein", false)
  end
end